CCmdStringOption Class Reference
Command line and parameter parsing

The command line option that expects a string. More...

`#include <mia/core/cmdstringoption.hh>`

Inheritance diagram for CCmdStringOption:
[legend]
Collaboration diagram for CCmdStringOption:
[legend]

## Public Member Functions

| CCmdStringOption (std::string &value, char short_opt, const char *long_opt, const char *long_help, CCmdOptionFlags flags, const CPluginHandlerBase *plugin_hint)
Public Member Functions inherited from CCmdOption
void | add_option (CShortoptionMap &sm, CLongoptionMap &lm)
void | add_option_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
| CCmdOption (char short_opt, const char *long_opt, const char *long_help, const char *short_help, CCmdOptionFlags flags)
void | get_long_help (std::ostream &os) const
std::string | get_long_help_xml (CXMLElement &parent, HandlerHelpMap &handler_map) const
const char * | get_long_option () const
size_t | get_needed_args () const
void | get_opt_help (std::ostream &os) const
char | get_short_option () const
const std::string | get_value_as_string () const
bool | is_required () const
const char * | long_help () const
void | post_set ()
void | print_short_help (std::ostream &os) const
void | set_value (const char *str_value)
void | write_value (std::ostream &os) const
virtual | ~CCmdOption ()
| ensure virtual destruction

## Additional Inherited Members

Protected Member Functions inherited from CCmdOption
void | clear_required ()
| clear the "required" flag
bool | has_flag (CCmdOptionFlags test_flags) const
void | xmlhelp_set_attribute (CXMLElement &node, const char *name, const std::string &value) const

## Detailed Description

The command line option that expects a string.

This command line option expects a string a parameter. It supports giving a hint to the help system that the actual string will be used for to construct a plug-in based object.

Definition at line 39 of file cmdstringoption.hh.

## Constructor & Destructor Documentation

## CCmdStringOption()

CCmdStringOption::CCmdStringOption | ( | std::string & | value,
|  | char | short_opt,
|  | const char * | long_opt,
|  | const char * | long_help,
|  | CCmdOptionFlags | flags,
|  | const CPluginHandlerBase * | plugin_hint )

Construct a string option

Parameters

  [in,out] | value | at input the default value, at output the value read from the command line
  | short_opt | the one letter command line option
  | long_opt | the long command line option
  | long_help | the full help string that describes the option completely
  | flags | CCmdOptionFlags for this option
  | plugin_hint | if the string will later be used to create an object by using plug-in then pass a pointer to the corresponding plug-in handler to give a hint the help system about this connection.

References CCmdOption::long_help().

The documentation for this class was generated from the following file:

- cmdstringoption.hh